All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.builder
Class IQBuilderFactory

    com.sas.iquery.builder.IQBuilderFactory

    public class IQBuilderFactory

Behaviors that are supported for simple builders.

- Simple filter - supports a single conditional expression inside a filter item.
- Compound filters - supports nested filter items or compound filters in an and/or tree.
- Data items - supports simple data items with-in a business model.
- Disable totals - TODO

Constructor Summary
`IQBuilderFactory()`

Method Summary
`static CompoundFilterBuilder` | `newCompoundFilterBuilder(BusinessModel model, FilterItem filterItem)` returns a builder that will build a `CompoundFilter`
`static DataItemBuilder` | `newDataItemBuilder(BusinessModel model, ExpressionInterface expression)` returns a builder that will build a `DataItem`
`static DataItemBuilder` | `newDataItemReferenceBuilder(BusinessModel model, DataItem dataItem)` returns a builder that will build a `DataItemReference`
`static DisabledTotalsBuilder` | `newDisabledTotalsBuilder(DataSelection dataSelection)` returns a builder that builds disabled totaling into a data selection and builds a map of that disabled totaling
`static RelationalFilterItemBuilder` | `newRelationalFilterBuilder(BusinessModel model, ExpressionInterface expression)` returns a builder that will build a `FilterItem`

Constructor Detail

### IQBuilderFactory

    public IQBuilderFactory()

Method Detail

### newDataItemBuilder

    public static DataItemBuilder newDataItemBuilder(BusinessModel model,
                                                     ExpressionInterface expression)

  returns a builder that will build a `DataItem`

### newDataItemReferenceBuilder

    public static DataItemBuilder newDataItemReferenceBuilder(BusinessModel model,
                                                              DataItem dataItem)

  returns a builder that will build a `DataItemReference`

### newRelationalFilterBuilder

    public static RelationalFilterItemBuilder newRelationalFilterBuilder(BusinessModel model,
                                                                         ExpressionInterface expression)

  returns a builder that will build a `FilterItem`

### newCompoundFilterBuilder

    public static CompoundFilterBuilder newCompoundFilterBuilder(BusinessModel model,
                                                                 FilterItem filterItem)

  returns a builder that will build a `CompoundFilter`

### newDisabledTotalsBuilder

    public static DisabledTotalsBuilder newDisabledTotalsBuilder(DataSelection dataSelection)

  returns a builder that builds disabled totaling into a data selection and builds a map of that disabled totaling

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.